@ECHO OFF
REM This batch file sets the Ethernut environment for ImageCraft C.
REM 

REM *** Remove the REM in front of the second line (enhanced) if you're 
REM     using an ATmega 128 CPU.
SET MCU=mega
REM SET MCU=enhanced

REM *** Set NUTWORKDIR to the full path where you installed the Ethernut 
REM     sources and binaries. Use slashes, not backslashes and do not
REM     add a trailing slash.
SET NUTWORKDIR=C:/Programme/egnite/nut

REM *** Set AVR to the full path where you installed ICCAVR. Again slashes
REM     and no trailing slash.
SET AVR=C:/ICC

REM *** Set ICCBINPATH to the full path of the ICC directory containing
REM     the executables. You must use backslashes here, but no trailing 
REM     backslash.
SET ICCBINPATH=C:\ICC\BIN

REM *** Set NUTBINPATH to the full path of the Ethernut tools. Again 
REM     backslashes without a trailing backslash.
SET NUTBINPATH=C:\Programme\egnite\nut\tools\win32

REM *** No more modifications usually required beyond this line.

IF NOT EXIST %NUTBINPATH%\CRUROM.EXE GOTO ERRNP
IF NOT EXIST %ICCBINPATH%\ICCAVR.EXE GOTO ERRAP

SET PATH=%NUTBINPATH%;%ICCBINPATH%;%PATH%
DOSKEY
CD %NUTBINPATH%\..\..
COPY Makerules.icc Makerules
COPY Makedefs.icc Makedefs
COPY app\Makerules.icc app\Makerules
COPY app\Makedefs.icc app\Makedefs
ECHO Ethernut environment set for %MCU% ICCAVR
GOTO END

:ERRNP
ECHO ERROR: No tools found in %NUTBINPATH%
GOTO HINT

:ERRAP
ECHO ERROR: No compiler found in %ICCBINPATH%

:HINT
ECHO Please edit batch file %0

:END
